<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddGatewaySubunitsReq StructType
 * @subpackage Structs
 */
class AddGatewaySubunitsReq extends APIRequest
{
    /**
     * The gatewaySubunits
     * @var XGatewaySubunits
     */
    public $gatewaySubunits;
    /**
     * Constructor method for AddGatewaySubunitsReq
     * @uses AddGatewaySubunitsReq::setGatewaySubunits()
     * @param XGatewaySubunits $gatewaySubunits
     */
    public function __construct(XGatewaySubunits $gatewaySubunits = null)
    {
        $this
            ->setGatewaySubunits($gatewaySubunits);
    }
    /**
     * Get gatewaySubunits value
     * @return XGatewaySubunits|null
     */
    public function getGatewaySubunits()
    {
        return $this->gatewaySubunits;
    }
    /**
     * Set gatewaySubunits value
     * @param XGatewaySubunits $gatewaySubunits
     * @return AddGatewaySubunitsReq
     */
    public function setGatewaySubunits(XGatewaySubunits $gatewaySubunits = null)
    {
        $this->gatewaySubunits = $gatewaySubunits;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddGatewaySubunitsReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
